import * as ant_design_vue_es_button from 'ant-design-vue/es/button';
import * as scroll_into_view_if_needed from 'scroll-into-view-if-needed';
import * as ant_design_vue_es_form_Form from 'ant-design-vue/es/form/Form';
import { FormExpose } from 'ant-design-vue/es/form/Form';
import * as ant_design_vue_es_form_interface from 'ant-design-vue/es/form/interface';
import * as vue from 'vue';
import { VNode, Component, SetupContext, PropType, Ref } from 'vue';
import * as ant_design_vue_es_grid from 'ant-design-vue/es/grid';
import * as vue_types from 'vue-types';
import { RuleObject } from 'ant-design-vue/es/form';
import { Gutter } from 'ant-design-vue/es/grid/Row';

type ToExpose = {
    form: Ref<FormExpose>;
    model: Record<string, any>;
    addAfter: (key: string, comp: CJson[]) => void;
    addBefore: (key: string, comp: CJson[]) => void;
    setProps: (props: Record<string, any>, keys: string) => void;
    show: (key: string) => void;
    hide: (key: string) => void;
    components: Ref<CJson[]>;
    cloneComponents: CJson[];
};
type CJson = {
    element: string | VNode | Component;
    label?: string;
    placeholder?: string;
    elementKey: string;
    props?: Record<string, any>;
    action?: (toExpose: ToExpose, props: any, context: SetupContext) => Record<string, any>;
    hidden?: boolean;
    span?: number;
    offsets?: number;
    children?: string | VNode[];
    type?: 'select';
    defaultValue?: any;
    rules?: RuleObject | RuleObject[];
    mounted?: (component: CJson) => void;
    custom?: Record<string, any>;
};
declare const _default: vue.DefineComponent<{
    components: {
        type: PropType<CJson[]>;
        default: never[];
    };
    formProps: {
        type: PropType<Omit<Partial<vue.ExtractPropTypes<{
            layout: vue_types.VueTypeDef<string>;
            labelCol: {
                type: PropType<Partial<vue.ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    sm: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    md: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    lg: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & vue.HTMLAttributes>;
                default: Partial<vue.ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    sm: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    md: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    lg: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & vue.HTMLAttributes;
            };
            wrapperCol: {
                type: PropType<Partial<vue.ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    sm: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    md: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    lg: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & vue.HTMLAttributes>;
                default: Partial<vue.ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    sm: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    md: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    lg: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & vue.HTMLAttributes;
            };
            colon: {
                type: BooleanConstructor;
                default: boolean;
            };
            labelAlign: {
                type: PropType<ant_design_vue_es_form_interface.FormLabelAlign>;
                default: ant_design_vue_es_form_interface.FormLabelAlign;
            };
            labelWrap: {
                type: BooleanConstructor;
                default: boolean;
            };
            prefixCls: StringConstructor;
            requiredMark: {
                type: PropType<"" | ant_design_vue_es_form_Form.RequiredMark>;
                default: "" | ant_design_vue_es_form_Form.RequiredMark;
            };
            hideRequiredMark: {
                type: BooleanConstructor;
                default: boolean;
            };
            model: vue_types.VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            rules: {
                type: PropType<{
                    [k: string]: RuleObject | RuleObject[];
                }>;
                default: {
                    [k: string]: RuleObject | RuleObject[];
                };
            };
            validateMessages: {
                type: PropType<ant_design_vue_es_form_interface.ValidateMessages>;
                default: ant_design_vue_es_form_interface.ValidateMessages;
            };
            validateOnRuleChange: {
                type: BooleanConstructor;
                default: boolean;
            };
            scrollToFirstError: {
                default: boolean | scroll_into_view_if_needed.Options<any>;
                type: PropType<boolean | scroll_into_view_if_needed.Options<any>>;
            };
            onSubmit: {
                type: PropType<(e: Event) => void>;
                default: (e: Event) => void;
            };
            name: StringConstructor;
            validateTrigger: {
                type: PropType<string | string[]>;
                default: string | string[];
            };
            size: {
                type: PropType<ant_design_vue_es_button.ButtonSize>;
                default: ant_design_vue_es_button.ButtonSize;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            onValuesChange: {
                type: PropType<(changedValues: any, values: any) => void>;
                default: (changedValues: any, values: any) => void;
            };
            onFieldsChange: {
                type: PropType<(changedFields: ant_design_vue_es_form_interface.FieldData[], allFields: ant_design_vue_es_form_interface.FieldData[]) => void>;
                default: (changedFields: ant_design_vue_es_form_interface.FieldData[], allFields: ant_design_vue_es_form_interface.FieldData[]) => void;
            };
            onFinish: {
                type: PropType<(values: any) => void>;
                default: (values: any) => void;
            };
            onFinishFailed: {
                type: PropType<(errorInfo: ant_design_vue_es_form_interface.ValidateErrorEntity<any>) => void>;
                default: (errorInfo: ant_design_vue_es_form_interface.ValidateErrorEntity<any>) => void;
            };
            onValidate: {
                type: PropType<(name: string | number | string[] | number[], status: boolean, errors: string[]) => void>;
                default: (name: string | number | string[] | number[], status: boolean, errors: string[]) => void;
            };
        }>>, "model" | "ref">>;
        default: undefined;
    };
    gutter: {
        type: PropType<Gutter>;
        default: number[];
    };
    isForm: {
        type: BooleanConstructor;
        default: boolean;
    };
    status: {
        type: StringConstructor;
        default: string;
    };
}, () => VNode<vue.RendererNode, vue.RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, vue.ComponentOptionsMixin, vue.ComponentOptionsMixin, vue.EmitsOptions, "JRmounted", vue.VNodeProps & vue.AllowedComponentProps & vue.ComponentCustomProps, Readonly<vue.ExtractPropTypes<{
    components: {
        type: PropType<CJson[]>;
        default: never[];
    };
    formProps: {
        type: PropType<Omit<Partial<vue.ExtractPropTypes<{
            layout: vue_types.VueTypeDef<string>;
            labelCol: {
                type: PropType<Partial<vue.ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    sm: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    md: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    lg: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & vue.HTMLAttributes>;
                default: Partial<vue.ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    sm: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    md: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    lg: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & vue.HTMLAttributes;
            };
            wrapperCol: {
                type: PropType<Partial<vue.ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    sm: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    md: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    lg: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & vue.HTMLAttributes>;
                default: Partial<vue.ExtractPropTypes<{
                    span: (StringConstructor | NumberConstructor)[];
                    order: (StringConstructor | NumberConstructor)[];
                    offset: (StringConstructor | NumberConstructor)[];
                    push: (StringConstructor | NumberConstructor)[];
                    pull: (StringConstructor | NumberConstructor)[];
                    xs: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    sm: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    md: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    lg: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    xxl: {
                        type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                        default: string | number | ant_design_vue_es_grid.ColSize;
                    };
                    prefixCls: StringConstructor;
                    flex: (StringConstructor | NumberConstructor)[];
                }>> & vue.HTMLAttributes;
            };
            colon: {
                type: BooleanConstructor;
                default: boolean;
            };
            labelAlign: {
                type: PropType<ant_design_vue_es_form_interface.FormLabelAlign>;
                default: ant_design_vue_es_form_interface.FormLabelAlign;
            };
            labelWrap: {
                type: BooleanConstructor;
                default: boolean;
            };
            prefixCls: StringConstructor;
            requiredMark: {
                type: PropType<"" | ant_design_vue_es_form_Form.RequiredMark>;
                default: "" | ant_design_vue_es_form_Form.RequiredMark;
            };
            hideRequiredMark: {
                type: BooleanConstructor;
                default: boolean;
            };
            model: vue_types.VueTypeValidableDef<{
                [key: string]: any;
            }> & {
                default: () => {
                    [key: string]: any;
                };
            };
            rules: {
                type: PropType<{
                    [k: string]: RuleObject | RuleObject[];
                }>;
                default: {
                    [k: string]: RuleObject | RuleObject[];
                };
            };
            validateMessages: {
                type: PropType<ant_design_vue_es_form_interface.ValidateMessages>;
                default: ant_design_vue_es_form_interface.ValidateMessages;
            };
            validateOnRuleChange: {
                type: BooleanConstructor;
                default: boolean;
            };
            scrollToFirstError: {
                default: boolean | scroll_into_view_if_needed.Options<any>;
                type: PropType<boolean | scroll_into_view_if_needed.Options<any>>;
            };
            onSubmit: {
                type: PropType<(e: Event) => void>;
                default: (e: Event) => void;
            };
            name: StringConstructor;
            validateTrigger: {
                type: PropType<string | string[]>;
                default: string | string[];
            };
            size: {
                type: PropType<ant_design_vue_es_button.ButtonSize>;
                default: ant_design_vue_es_button.ButtonSize;
            };
            disabled: {
                type: BooleanConstructor;
                default: boolean;
            };
            onValuesChange: {
                type: PropType<(changedValues: any, values: any) => void>;
                default: (changedValues: any, values: any) => void;
            };
            onFieldsChange: {
                type: PropType<(changedFields: ant_design_vue_es_form_interface.FieldData[], allFields: ant_design_vue_es_form_interface.FieldData[]) => void>;
                default: (changedFields: ant_design_vue_es_form_interface.FieldData[], allFields: ant_design_vue_es_form_interface.FieldData[]) => void;
            };
            onFinish: {
                type: PropType<(values: any) => void>;
                default: (values: any) => void;
            };
            onFinishFailed: {
                type: PropType<(errorInfo: ant_design_vue_es_form_interface.ValidateErrorEntity<any>) => void>;
                default: (errorInfo: ant_design_vue_es_form_interface.ValidateErrorEntity<any>) => void;
            };
            onValidate: {
                type: PropType<(name: string | number | string[] | number[], status: boolean, errors: string[]) => void>;
                default: (name: string | number | string[] | number[], status: boolean, errors: string[]) => void;
            };
        }>>, "model" | "ref">>;
        default: undefined;
    };
    gutter: {
        type: PropType<Gutter>;
        default: number[];
    };
    isForm: {
        type: BooleanConstructor;
        default: boolean;
    };
    status: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    components: CJson[];
    formProps: Omit<Partial<vue.ExtractPropTypes<{
        layout: vue_types.VueTypeDef<string>;
        labelCol: {
            type: PropType<Partial<vue.ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                sm: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                md: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                lg: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                xl: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                xxl: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>> & vue.HTMLAttributes>;
            default: Partial<vue.ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                sm: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                md: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                lg: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                xl: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                xxl: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>> & vue.HTMLAttributes;
        };
        wrapperCol: {
            type: PropType<Partial<vue.ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                sm: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                md: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                lg: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                xl: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                xxl: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>> & vue.HTMLAttributes>;
            default: Partial<vue.ExtractPropTypes<{
                span: (StringConstructor | NumberConstructor)[];
                order: (StringConstructor | NumberConstructor)[];
                offset: (StringConstructor | NumberConstructor)[];
                push: (StringConstructor | NumberConstructor)[];
                pull: (StringConstructor | NumberConstructor)[];
                xs: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                sm: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                md: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                lg: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                xl: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                xxl: {
                    type: PropType<string | number | ant_design_vue_es_grid.ColSize>;
                    default: string | number | ant_design_vue_es_grid.ColSize;
                };
                prefixCls: StringConstructor;
                flex: (StringConstructor | NumberConstructor)[];
            }>> & vue.HTMLAttributes;
        };
        colon: {
            type: BooleanConstructor;
            default: boolean;
        };
        labelAlign: {
            type: PropType<ant_design_vue_es_form_interface.FormLabelAlign>;
            default: ant_design_vue_es_form_interface.FormLabelAlign;
        };
        labelWrap: {
            type: BooleanConstructor;
            default: boolean;
        };
        prefixCls: StringConstructor;
        requiredMark: {
            type: PropType<"" | ant_design_vue_es_form_Form.RequiredMark>;
            default: "" | ant_design_vue_es_form_Form.RequiredMark;
        };
        hideRequiredMark: {
            type: BooleanConstructor;
            default: boolean;
        };
        model: vue_types.VueTypeValidableDef<{
            [key: string]: any;
        }> & {
            default: () => {
                [key: string]: any;
            };
        };
        rules: {
            type: PropType<{
                [k: string]: RuleObject | RuleObject[];
            }>;
            default: {
                [k: string]: RuleObject | RuleObject[];
            };
        };
        validateMessages: {
            type: PropType<ant_design_vue_es_form_interface.ValidateMessages>;
            default: ant_design_vue_es_form_interface.ValidateMessages;
        };
        validateOnRuleChange: {
            type: BooleanConstructor;
            default: boolean;
        };
        scrollToFirstError: {
            default: boolean | scroll_into_view_if_needed.Options<any>;
            type: PropType<boolean | scroll_into_view_if_needed.Options<any>>;
        };
        onSubmit: {
            type: PropType<(e: Event) => void>;
            default: (e: Event) => void;
        };
        name: StringConstructor;
        validateTrigger: {
            type: PropType<string | string[]>;
            default: string | string[];
        };
        size: {
            type: PropType<ant_design_vue_es_button.ButtonSize>;
            default: ant_design_vue_es_button.ButtonSize;
        };
        disabled: {
            type: BooleanConstructor;
            default: boolean;
        };
        onValuesChange: {
            type: PropType<(changedValues: any, values: any) => void>;
            default: (changedValues: any, values: any) => void;
        };
        onFieldsChange: {
            type: PropType<(changedFields: ant_design_vue_es_form_interface.FieldData[], allFields: ant_design_vue_es_form_interface.FieldData[]) => void>;
            default: (changedFields: ant_design_vue_es_form_interface.FieldData[], allFields: ant_design_vue_es_form_interface.FieldData[]) => void;
        };
        onFinish: {
            type: PropType<(values: any) => void>;
            default: (values: any) => void;
        };
        onFinishFailed: {
            type: PropType<(errorInfo: ant_design_vue_es_form_interface.ValidateErrorEntity<any>) => void>;
            default: (errorInfo: ant_design_vue_es_form_interface.ValidateErrorEntity<any>) => void;
        };
        onValidate: {
            type: PropType<(name: string | number | string[] | number[], status: boolean, errors: string[]) => void>;
            default: (name: string | number | string[] | number[], status: boolean, errors: string[]) => void;
        };
    }>>, "model" | "ref">;
    gutter: Gutter;
    isForm: boolean;
    status: string;
}, {}>;

export { type CJson, _default as JRender };
